Subject: Re: [PATCH 08/17] Test for WIN32 instead of __MINGW32_

From: Marius Storm-Olsen <[email-masked]>
Date: Mon, 14 Sep 2009 21:42:32 +0200

Junio C Hamano said the following on 14.09.2009 21:31:
> Marius Storm-Olsen <[email-masked]> writes:
> 
>> From: Frank Li <[email-masked]>
>>
>> The code which is conditional on MinGW32 is actually conditional on Windows.
>> Use the WIN32 symbol, which is defined by the MINGW32 and MSVC environments,
>> but not by Cygwin.
>>
>> Signed-off-by: Frank Li <[email-masked]>
>> Signed-off-by: Marius Storm-Olsen <[email-masked]>
> 
> The description sounds very sensible; I wish I read this one first, before
> wasting time scratching my head while reading 03/17.  Shouldn't that patch
> be squashed into this one?

Heh, yeah, I agree. After patch got updated with suggestions from last 
roll, it clearly makes more sense hear now. I'll update tomorrow. Thanks.

--
.marius